Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003410Zandronum[All Projects] Bugpublic2018-04-07 05:422021-01-24 08:04
Reportereagle 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformWondowsOSWindows Server 2012 R2OS VersionXP/Vista/7
Product Version3.0 
Target VersionFixed in Version 
Summary0003410: A_Fire and A_Warp are not working properly online
DescriptionNamely, the commands do not work with the coordinates shifting parameters relative to the persecuted object (xofs, yofs, zofs), they always go to zero if the game is launched online.
Attached Fileszip file icon BulletAntVenom.zip [^] (5,429 bytes) 2018-05-06 23:36

- Relationships

-  Notes
User avatar (0019162)
Unknown (reporter)
2018-04-09 14:24
edited on: 2018-04-11 12:24

I'm having the same A_Warp issue with a Chasecam thingy I've created, made the camera thing warp behind player but it always gets stuck online, eventhough both the script and DECORATE actor aren't client-sided.

EDIT : Fixed it somehow, still a_warp is too jittery online for some reason.

User avatar (0019197)
Torr Samaho (administrator)
2018-05-06 12:34
edited on: 2018-05-06 12:35

Please provide a minimal example wad.

User avatar (0019207)
eagle (reporter)
2018-05-06 23:37

in online, the syringe thrown into the monster crawls behind the monster on the floor, and in offline it is raised by 30 mp.
User avatar (0020688)
eagle (reporter)
2019-05-22 07:28

I managed to get around the problems indicated here, I no longer see the point in this ticket, it can be closed.
User avatar (0021592)
Kaminsky (reporter)
2021-01-21 06:41
edited on: 2021-01-21 06:46

After testing the example wad in scrutiny, the problem isn't because A_Warp/A_Fire aren't working properly online. Instead, the syringe isn't entering the "XDeath" state on the client's end upon impact like it should, but rather the "Death" state, which calls A_Gravity so the syringe drops to the floor. On the server, it enters the "XDeath" state as expected, all while still being unaffected by gravity.

So the real issue here is that projectiles aren't entering the correct states on the client's end whenever they hit something.

EDIT: This issue might be related to:https://zandronum.com/tracker/view.php?id=3120 [^]

User avatar (0021594)
eagle (reporter)
2021-01-24 08:04

the problem was not in this, but in the interpretation of the received data, the script outputs them in int, and in the decorate they were interpreted as fixed, but I just multiplied them by 0.8 and everything became as intended.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: Unknown eagle
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2018-04-07 05:42 eagle New Issue
2018-04-09 14:24 Unknown Note Added: 0019162
2018-04-09 14:31 Unknown Note Edited: 0019162 View Revisions
2018-04-09 14:31 Unknown Note Edited: 0019162 View Revisions
2018-04-11 12:24 Unknown Note Edited: 0019162 View Revisions
2018-05-06 12:34 Torr Samaho Note Added: 0019197
2018-05-06 12:34 Torr Samaho Status new => feedback
2018-05-06 12:35 Torr Samaho Note Edited: 0019197 View Revisions
2018-05-06 12:35 Torr Samaho Note Revision Dropped: 19197: 0011513
2018-05-06 23:36 eagle File Added: BulletAntVenom.zip
2018-05-06 23:37 eagle Note Added: 0019207
2018-05-06 23:37 eagle Status feedback => new
2019-05-22 07:28 eagle Note Added: 0020688
2021-01-21 06:41 Kaminsky Note Added: 0021592
2021-01-21 06:43 Kaminsky Note Edited: 0021592 View Revisions
2021-01-21 06:45 Kaminsky Note Edited: 0021592 View Revisions
2021-01-21 06:46 Kaminsky Note Edited: 0021592 View Revisions
2021-01-24 08:04 eagle Note Added: 0021594






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker